<script>
function vis_check_environment(){
    var validations=true;
    if($("#vis_db_host").val()=='') {
        validations=false;
        $("#vis_db_host").addClass('parsley-error');
        $("#parsley-vis_db_host").show();
    }else{
        $("#vis_db_host").removeClass('parsley-error');
        $("#parsley-vis_db_host").hide();
    }
    
    if($("#vis_db_user").val()=='') {
        validations=false;
        $("#vis_db_user").addClass('parsley-error');
        $("#parsley-vis_db_user").show();
    }else{
        $("#vis_db_user").removeClass('parsley-error');
        $("#parsley-vis_db_user").hide();
    }
    
    if($("#vis_db_name").val()=='') {
        validations=false;
        $("#vis_db_name").addClass('parsley-error');
        $("#parsley-vis_db_name").show();
    }else{
        $("#vis_db_name").removeClass('parsley-error');
        $("#parsley-vis_db_name").hide();
    }
    
    if($("#vis_cname").val()=='') {
        validations=false;
        $("#vis_cname").addClass('parsley-error');
        $("#parsley-vis_cname").show();
    }else{
        $("#vis_cname").removeClass('parsley-error');
        $("#parsley-vis_cname").hide();
    }
    
    if($("#vis_sys_url").val()=='') {
        validations=false;
        $("#vis_sys_url").addClass('parsley-error');
        $("#parsley-vis_sys_url").show();
    }else{
        $("#vis_sys_url").removeClass('parsley-error');
        $("#parsley-vis_sys_url").hide();
    }
    
    if($("#vis_sys_email").val()=='') {
        validations=false;
        $("#vis_sys_email").addClass('parsley-error');
        $("#parsley-vis_sys_email").show();
    }else{
        $("#vis_sys_email").removeClass('parsley-error');
        $("#parsley-vis_sys_email").hide();
    }
    
    if($("#vis_email").val()=='') {
        validations=false;
        $("#vis_email").addClass('parsley-error');
        $("#parsley-vis_email").show();
    }else{
        $("#vis_email").removeClass('parsley-error');
        $("#parsley-vis_email").hide();
    }
    if(validations){
        var password=generatepass(12);
        $("#vis_pass").val(password);
        $.ajax({
            url: 'index.php',
            dataType: 'json',
            data: { 'vis_step':2 ,'vis_ajaxcall':1,'vis_db_host':$("#vis_db_host").val(),'vis_db_user':$("#vis_db_user").val(),'vis_db_pass':$("#vis_db_pass").val(),'vis_db_name':$("#vis_db_name").val(),'vis_pass':password},
            type: "POST",
            success: function(data) {
              if(data.vis_result==1){
                  $("#vis_setup_form").submit();
              }
              else{
                  $("#vis_message").show();
                  $("#vis_message").html(data.vis_msg);  
              }
           }
        });
    }
}
function generatepass(plength){
    var keylist="abcdefghijklmnopqrstuvwxyz123456789";
    var temp='';
    for (i=0;i<plength;i++)
    temp+=keylist.charAt(Math.floor(Math.random()*keylist.length));
    return temp;
}
function toggle_submit(){
    if($("#inlineCheckbox1").prop('checked')) $("#vis_install").removeClass('disabled');
    else $("#vis_install").addClass('disabled');
}
</script>